#include <stdio.h>
#include <stdlib.h>

void main(int argc, char** argv)
{
   unsigned int a,b,sw,i,j,num,anzahl;

   if(argc <= 6) {
      fprintf(stderr,"Aufruf: %s [Prefix] {[Typ] [Anfang] [Ende] [Schrittweite] [Anzahl]}\n",argv[0]);
      exit(1);
   }
   num = 0;
   printf("#!/bin/sh\n");      
   for(i = 2;i < argc - 1;i += 5) {
      if(i + 4 < argc) {
         a  = atoi(argv[i + 1]);
         b  = atoi(argv[i + 2]);
         sw = atoi(argv[i + 3]);
         anzahl = atoi(argv[i + 4]);
         if(anzahl < 1) anzahl = 1;
         if(sw < 1) sw = 1;
         if(a > b) {       
            fprintf(stderr,"%d > %d!\n",a,b);
            exit(1);
         }
         for(j = a;j <= b;j += sw) {
            num++;
            printf("echo \"Liste kubischer Graphen #%d...\"\n",num);
            printf("../generator.%s -k%d -#%d -f\"%s-%03d.tdgf\" -c\"Thomas Dreibholz, uzs6pq@ibm.rhrz.uni-bonn.de\"\n",
                   argv[i],j,anzahl,argv[1],j);
         }
      }      
   }
   exit(0);
}