// ########################################################################
// ## zufalltest.c                                                       ##
// ## Test fr Zufallsfunktionen                                         ##
// ## Copyright Thomas Dreibholz, uzs6pq@ibm.rhrz.uni-bonn.de            ##
// ##           WWW Homepage:     http://ibm.rhrz.uni-bonn.de/~uzs6pq    ##
// ########################################################################

#include <stdio.h>
#include <stdlib.h>
#include <iostream.h>
#include <cmath>

#include "../system.h"
#include "zufall.h"


int main()
{
   card64 n = (card64)100000 * (card64)1000000;
   card32 i;

   Randomize();
   cout << n << endl;
   for(i = 0;i < 15;i++) {
      cout << (card64)Random(n) << endl;
   }   

   long double a,b;
   a = 8.0;
   b = 4096.0;
   cout << pow((long double)2.0,a) << endl;
   cout << log((long double)b) / log((long double)2.0) << endl;

   return 0;
}
